﻿using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{

    public partial class Form1 : Form
    {


        public Form1()
        {
            InitializeComponent();
            this.Show();
            this.MoveToCorner(Corner.SE);
        }

        private static double getSum(List<Pair<string,ulong>> apps)
        {
            return apps.Sum(x => (double)x.second);
        }

     
        private void updateDisplay()
        {
         
            this.tableLayoutPanel1.SuspendLayout();
            this.tableLayoutPanel1.SuspendDrawing();

            List<Pair<string,ulong>> apps = Program.getTenMostPlus();

            List<MyTrack> tracks = Form1.GetTracks(apps);

            clearTracks(this.tableLayoutPanel1);
            AddTracks(tableLayoutPanel1, tracks);
           

            this.tableLayoutPanel1.ResumeLayout();
            this.tableLayoutPanel1.ResumeDrawing();
            
        }
        





        private void timer1_Tick(object sender, EventArgs e)
        {
            if (this.Visible)
            {   
                this.MagnetizeMe();
                this.SetTopLevel(true); // (possibly to fix stay on top bug.)
            }
            updateDisplay();
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //    new AboutWindow().show();
        }

        private void exitToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }


        void ShowOrHideWindow()
        {
            bool vis = this.Visible;
            if (this.Visible)
            {
                this.Hide();
                this.TopMost = false;
                this.Invalidate();
            }
            else
            {
                this.Show();
                this.TopMost = true;
            }
        }
        private void notifyIcon1_MouseUp(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                ShowOrHideWindow();
            }
        }

        private void showToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ShowOrHideWindow();
        }

       


    }

  
}
